Package org.drinkless.tdlib

# Class TdApi.GetChatBoosts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundChatBoosts>
org.drinkless.tdlib.TdApi.GetChatBoosts

Enclosing class:
  `TdApi`

public static class TdApi.GetChatBoosts extends TdApi.Function<TdApi.FoundChatBoosts>
Returns the list of boosts applied to a chat; requires administrator rights in the chat.

Returns `FoundChatBoosts`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of boosts to be returned; up to 100.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `boolean`
  `onlyGiftCodes`
  Pass true to receive only boosts received from gift codes and giveaways created by the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatBoosts()`
  Default constructor for a function, which returns the list of boosts applied to a chat; requires administrator rights in the chat.
  `GetChatBoosts(long chatId, boolean onlyGiftCodes, String offset, int limit)`
  Creates a function, which returns the list of boosts applied to a chat; requires administrator rights in the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat.

  - ### onlyGiftCodes

    public boolean onlyGiftCodes
    Pass true to receive only boosts received from gift codes and giveaways created by the chat.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of boosts to be returned; up to 100. For optimal performance, the number of returned boosts can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatBoosts

    public GetChatBoosts()
    Default constructor for a function, which returns the list of boosts applied to a chat; requires administrator rights in the chat.

    Returns `FoundChatBoosts`

  - ### GetChatBoosts

    public GetChatBoosts(long chatId, boolean onlyGiftCodes, String offset, int limit)
    Creates a function, which returns the list of boosts applied to a chat; requires administrator rights in the chat.

    Returns `FoundChatBoosts`

    Parameters:
      `chatId` - Identifier of the chat.
      `onlyGiftCodes` - Pass true to receive only boosts received from gift codes and giveaways created by the chat.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of boosts to be returned; up to 100. For optimal performance, the number of returned boosts can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundChatBoosts>`
    Returns:
      this.CONSTRUCTOR